Get a canvas
import requests
url = "https://platform.ankra.app/api/v1/org/canvases/{canvas_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/canvases/{canvas_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/canvases/{canvas_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "dashboard",
"title": "<string>",
"visibility": "private",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_owner": true,
"is_pinned": true,
"language": "json",
"draft_revision_id": "<string>",
"published_revision_id": "<string>",
"source_conversation_id": "<string>",
"source_artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"draft": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"parent_revision_id": "<string>",
"language": "json",
"schema_version": 1,
"size_bytes": 123,
"author_kind": "user",
"created_at": "2023-11-07T05:31:56Z",
"content": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Canvases
Get a canvas
Returns a canvas with the content of its draft revision.
GET
/
api
/
v1
/
org
/
canvases
/
{canvas_id}
Get a canvas
import requests
url = "https://platform.ankra.app/api/v1/org/canvases/{canvas_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/canvases/{canvas_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/canvases/{canvas_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "dashboard",
"title": "<string>",
"visibility": "private",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_owner": true,
"is_pinned": true,
"language": "json",
"draft_revision_id": "<string>",
"published_revision_id": "<string>",
"source_conversation_id": "<string>",
"source_artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"draft": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"parent_revision_id": "<string>",
"language": "json",
"schema_version": 1,
"size_bytes": 123,
"author_kind": "user",
"created_at": "2023-11-07T05:31:56Z",
"content": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
A canvas with its draft revision.
Available options:
dashboard, page Available options:
private, organisation Whether the caller pinned the canvas.
The language of the draft revision.
Available options:
json, html, svg, markdown Show child attributes
Show child attributes